@echo off
echo 4   Optimising Attacks on Bitcoin
echo 4.1 Modelling and Evaluating the Double-Spending Attack
echo.
echo Model-checking bitcoin-ds.modest
..\Modest\modest.exe mcsta bitcoin-ds.modest -E "M=0.2,CD=6" -E "M=0.4,CD=6" -E "M=0.5,CD=6" -S Memory -O bitcoin-ds.results.txt -Y
pause
echo.
echo Simulating bitcoin-ds-inf.modest
..\Modest\modest.exe modes bitcoin-ds-inf.modest -E "M=0.2,CD=6" -O bitcoin-ds-inf.results.txt -Y --max-run-length 0
pause
echo.
echo 4.2 Optimising the Attack on Trust in Bitcoin
echo.
echo Model-checking bitcoin-attack.modest
..\Modest\modest.exe mcsta bitcoin-attack.modest -E "M=0.2,CD=6" -S Memory -O bitcoin-attack.results.txt --scheduler sched.txt -Y
pause
echo.
echo Done.
